# Index related functions

Defined in `xtensor/xoperation.hpp`

Warning

doxygenfunction: Cannot find function “where” in doxygen xml output for project “xtensor” from directory: ../xml

Warning

doxygenfunction: Cannot find function “nonzero” in doxygen xml output for project “xtensor” from directory: ../xml

Warning

doxygenfunction: Cannot find function “argwhere” in doxygen xml output for project “xtensor” from directory: ../xml

template<class T>
inline auto xt::from_indices(const std::vector<T> &idx)

  Converts `std::vector<index_type>` (returned e.g.

  from `xt::argwhere`) to `xtensor`.

  Parameters:

    idx – vector of indices

  Returns:

    `xt::xtensor<typename index_type::value_type, 2>` (e.g. `xt::xtensor<size_t, 2>`)